@import "variables";

:host {
  width: 95%;
}

nz-card.ryax-action-run-card {
  border-radius: 8px;
  margin-bottom: 32px;
  overflow: hidden;
  width: 100%;

  ::ng-deep {
    > .ant-card-head {
      padding: 0;
    }

    > .ant-card-head-wrapper {
      align-items: flex-start;
    }

    .ant-card-head-title {
      padding: 0;
    }
  }

  .ryax-card-content {
    display: flex;
    align-items: center;
  }

  .ryax-card-title {
    font-size: 1.125rem;
    font-weight: bold;
    margin: 0;
    display: inline-block;
  }

  .ryax-card-version {
    font-size: 0.6875rem;
    color: $grey5;
    margin-left: 16px;
    display: inline-block;
  }

  .ryax-card-description {
    font-size: 0.8125rem;
    color: $grey7;
    white-space: normal;
    margin: 0 40px 0 0;
  }

  .ryax-module-icon {
    margin-right: 16px;
    position: relative;

    &::after {
      box-shadow: inset 0 0 5px $grey4;
      pointer-events: none;
      content: '';
      display: block;
      height: 100%;
      position: absolute;
      top: 0;
      width: 100%;
    }

    img {
      min-height: 72px;
      width: 72px;
    }
  }
}

nz-collapse {
  width: 100%;
}

nz-collapse-panel:not(.ryax-logs)::ng-deep {
  width: 100%;

  > .ant-collapse-header {
    display: none;
  }

  .ant-collapse-content > .ant-collapse-content-box {
    padding: 0;
  }
}

.ryax-details {
  margin-right: 20px;
}
.ryax-retries {
  padding: 8px;
  margin-bottom: 8px;
  background-color: $grey3;  /* Optional: Light background for visibility */
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  display: flex;
  justify-content: space-between;
  h3 {
    color: $grey6;
    font-weight: bold;
    font-size: 1.1em;
    margin-left: auto;
  }
}

h4 {
  color: $grey6;
  font-weight: bold;
  font-size: 1em;
}


div.error {
  color: $red4;
  font-weight: bold;
  font-size: 1em;
  padding: 0 40px 8px 40px;
}

.ryax-execution-details {
  width: 100%;
  padding: 0 40px 8px 40px;
  transition: 1s all ease;

  div {
    display: flex;
    justify-content: space-between;
  }

  p {
    margin: 0;
  }

  label {
    color: $grey6;
    margin-right: 8px;
    text-align: right;
    width: 80px;
    display: inline-block;
  }
  section {
    margin-top: 20px;
    margin-bottom: 20px;
    padding-top: 1em;
  }
}

.ryax-log-collapse-header {
  display: flex;
  flex-direction: row;
  gap: 10px;
  align-items: center;
}
